Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 15/07/2019 11:24:20

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

erro ao atualizar o pacman no manjaro

aprendi que tem tres comandos para atualizar o sistema no manjaro:

pacman -Sy = sincroniza os repositórios.
pacman -Su = procura por atualização.
pacman -Syu = sincroniza os repositórios/procura por atualização.

pois bem, quando eu rodo o primeiro comando acontece isso:

[abel-pc abel]# pacman -Sy
:: Sincronizando a base de dados de pacotes...
erro: falha ao obter o arquivo "core.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
core está atualizado
erro: falha ao obter o arquivo "extra.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
extra está atualizado
erro: falha ao obter o arquivo "community.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
community está atualizado
erro: falha ao obter o arquivo "multilib.db" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
multilib está atualizado
archlinuxfr está atualizado


ao segundo comando:

Tamanho total download:     20,09 MiB
Tamanho total instalado:  4579,84 MiB
Alteração no tamanho:    391,22 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes...
erro: falha ao obter o arquivo "lib32-mesa-19.1.1-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
lib32-mesa-19.1.1-1...    12,1 MiB  49,8K/s 04:09 [######################] 100%
erro: falha ao obter o arquivo "lib32-libglvnd-1.1.1-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10000 milliseconds
lib32-libglvnd-1.1....   154,8 KiB  31,3K/s 00:05 [######################] 100%
erro: falha ao obter o arquivo "lib32-libva-2.4.0-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds
lib32-libva-2.4.0-1...    65,8 KiB  49,1K/s 00:01 [######################] 100%
erro: falha ao obter o arquivo "lib32-libxt-1.2.0-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10000 milliseconds
lib32-libxt-1.2.0-1...   153,7 KiB  18,7K/s 00:08 [######################] 100%
erro: falha ao obter o arquivo "lib32-libxmu-1.1.3-1-x86_64.pkg.tar.xz" de pet.inf.ufsc.br : Connection timed out after 10001 milliseconds


  E isso acontece com todos os arquivos que ele tenta baixar, o interessante é que completou 100% do download, pq fala Connection timed out after 10000 milliseconds? só depois de completar 100% que dá esse erro

alguém tem idéia do que seja?
agradecido

Offline

#2 15/07/2019 14:41:13

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

qual a saída do comando ?

cat /etc/resolv.conf

Offline

#3 15/07/2019 19:29:01

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

swatquest escreveu:

qual a saída do comando ?

cat /etc/resolv.conf


[[email protected] ~]$ cat /etc/resolv.conf
# Generated by NetworkManager
search meuintelbras.local
nameserver 10.0.0.1


é uma internet bem ruim, mas não tem como ser por causa disso
detalhe, isso tá acontecendo com qualquer coisa que eu instalo, ou seja, não tem como instalar porra nenhuma no manjaro

Última edição por lebahevel (15/07/2019 19:40:53)

Offline

#4 16/07/2019 00:16:42

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

faz um teste


deixe apenas com

nameserver  8.8.8.8

já vi erros parecidos com o seu que o erro era por causa disso
outra opção

tente mudar a mirror


pegue um arquivo com todas as mirror e execute

exemeplo

ankmirrors -n 10 "arquivo com todos os espelhos" > ~/mirrorlist

depois copie a mirrorlist para /etc/pacman.d/

cp ~/mirrorlist  /etc/pacman.d/mirrorlist

Última edição por swatquest (16/07/2019 00:23:10)

Offline

#5 16/07/2019 09:39:13

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

[quote =swatquest]faz um teste


deixe apenas com

nameserver  8.8.8.8]

como se faz isso? foi mal aí, eu sou iniciante de tudo

a segunda parte tbm não peguei como faz, é pelo terminal ou eu tenho que procurar e editar um arquivo de texto?

Offline

#6 16/07/2019 22:36:54

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

faça o primeiro teste e veja se resolve.

acesse este link
https://forum.archlinux-br.org/viewtopic.php?id=4353

copie o conteúdo do script para um arquivo vazio

salve como upmirrolist ou outro nome que vc quiser.

dê a permissão de executar, via terminal

chmod +x upmirrolist

depois execute o arquivo, via terminal

sh upmirrolist

escolha os países que vc quer e passe o rankmirrors do script

no mova para /etc/pacman.d/

e apague o antigo.

depois de efetuado veja se resolve o problema

Offline

#7 17/07/2019 10:57:11

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

swatquest escreveu:

faça o primeiro teste e veja se resolve.

acesse este link
https://forum.archlinux-br.org/viewtopic.php?id=4353

copie o conteúdo do script para um arquivo vazio

salve como upmirrolist ou outro nome que vc quiser.

dê a permissão de executar, via terminal

chmod +x upmirrolist

depois execute o arquivo, via terminal

sh upmirrolist

escolha os países que vc quer e passe o rankmirrors do script

no mova para /etc/pacman.d/

e apague o antigo.

depois de efetuado veja se resolve o problema


ok, fiz o arquivo e salvei como upmirrolist
depois fui pro terminal e executei, certo, ele me pediu pra escolher os países, eu não sabia o que escolher e como então pus assim: Escolha os países [ padrão=todos ]:8 19 31 64 63

aí de novo não sabia o que colocar, escrevi 5:
É recomendável utilizar o rankmirrors, pois ele determina a melhor conexão.
Você quer utilizar o script rankmirrors? [S/n]s
Qual a quantidade de servidores? [padrão 6, 0 para todos, máximo 999]5

aí deu nisso, e eu não sei o que fazer agora:

Qual a quantidade de servidores? [padrão 6, 0 para todos, máximo 999]5
Executando rankmirrors.
O processo pode demorar um pouco.
Version 4.14.2
USAGE:
pacman-mirrors [-h] [-f [NUMBER]] [-i [-d]] [-m METHOD]
        [-c COUNTRY [COUNTRY...] | [--geoip]]
        [-l] [-lc] [-q] [-t SECONDS] [-v] [-n]
        [--api] [-S/-B BRANCH] [-p PREFIX]
            [-P PROTO [PROTO...]] [-R] [-U URL]
rankmirrors: error: unrecognized arguments: 5 /tmp/all2
Rankmirrors finalizado.
Se for necessário, o comando sudo será utilizado.
Será feito um backup da mirrorlist em /etc/pacman.d/ com o nome "mirrolist.bkp".
Você quer mover o arquivo para a pasta "/etc/pacman.d/"? [S/n]s
Criando backup.
[sudo] senha para abel:
Definindo permisão para 644.
Modificando nome do dono e do grupo para root.
Movendo arquivo.
Aguarde 5 segundos para o teste da mirrorlist.
Testando mirrorlist.
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
archlinuxfr está atualizado
erro: falha ao sincronizar todos as bases de dados
Você quer apagar o arquivo de backup ou restaurar a mirrolist? [A/r]^C


eu fiz alguma coisa errado? o que eu preciso fazer?

Offline

#8 17/07/2019 12:01:04

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

Faz o seguinte

Deixa tudo como padrão.

Só vai apertando Enter

Só a última que vc escolhe a opção A para apagar, apesar de o A ser o padrão.

Todos as letras que estiverem em maiúsculo será a padrão, aí no caso pode só apertar Enter se não quiser mudar nada

Noa países o padrão são todos os países.
Se quiser escolher um país é só colocar o número correspondente.

Por exemplo

5 Brasil
50 united status

Então seria
5 50

E teste novamente

Última edição por swatquest (17/07/2019 13:43:34)

Offline

#9 17/07/2019 14:18:01

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

ok, fiz assim e deu nisso:

Será feito um backup da mirrorlist em /etc/pacman.d/ com o nome "mirrolist.bkp".
Você quer mover o arquivo para a pasta "/etc/pacman.d/"? [S/n]
Criando backup.
[sudo] senha para abel:
Definindo permisão para 644.
Modificando nome do dono e do grupo para root.
Movendo arquivo.
Aguarde 5 segundos para o teste da mirrorlist.
Testando mirrorlist.
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
erro: falha ao obter o arquivo "archlinuxfr.db" de repo.archlinux.fr : Resolving timed out after 10000 milliseconds
erro: falha ao atualizar archlinuxfr (erro na biblioteca de download)
erro: falha ao sincronizar todos as bases de dados
Você quer apagar o arquivo de backup ou restaurar a mirrolist? [A/r]A
Apagando o arquivo de backup em "/etc/pacman.d/".

agora não dá mais o erro de timed out after.... mas tá com esse erro do servidor:

[abel-pc abel]# pacman -Sy
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Sincronizando a base de dados de pacotes...
erro: falha ao atualizar core (nenhum servidor configurado para o repositório)
erro: falha ao atualizar extra (nenhum servidor configurado para o repositório)
erro: falha ao atualizar community (nenhum servidor configurado para o repositório)
erro: falha ao atualizar multilib (nenhum servidor configurado para o repositório)
archlinuxfr está atualizado
erro: falha ao sincronizar todos as bases de dados


também quando eu vou instalar pelo Adicionar/remover programas fala que nenhum servidor configurado para o repositório

Última edição por lebahevel (17/07/2019 14:23:49)

Offline

#10 17/07/2019 14:31:58

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

Cara apague o o servidor archlinuxfr do pacman.conf

Como ficou o seu /etc/pacman.d/mirrorlist

No terminal com o comando

cat /etc/pacman.d/mirrorlist

Vamos verificar.. não estou mais usando arch então não sei se o script ainda funciona

No momento ultilizo no manjaro

Obs:
Não utilize mais o yaourt
Utilize o yay

O yaourt não está mais recebendo atualizaçao

Última edição por swatquest (17/07/2019 14:34:25)

Offline

#11 17/07/2019 21:45:58

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

ok, deletei pelo terminal cat /etc/pacman.d/mirrorlist
mas aparentemente  continua a mesma coisa

é... ainda sem servidor configurado, não funcionou
olha, eu fui até o local do arquivo, /etc/pacman.d/  e tem um arquivo lá, mirrorlist, que não tem como apagar
eu não sei se a idéia era substituir esse arquivo pelo que eu criei, upmirrorlist, mas não rolou não

Última edição por lebahevel (17/07/2019 22:04:28)

Offline

#12 18/07/2019 01:22:51

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.962

Re: erro ao atualizar o pacman no manjaro

o cat não é para deletar e sim para ver o arquivo.

faz o seguinte edite o arquivo /etc/pacman.d/mirrorlist

e adicione o conteúdo e tente novamente.

##
## Arch Linux repository mirrorlist
## Generated on 2019-07-18
##

## Brazil
Server = http://br.mirror.archlinux-br.org/$repo/os/$arch
Server = http://archlinux.c3sl.ufpr.br/$repo/os/$arch
Server = http://www.caco.ic.unicamp.br/archlinux/$repo/os/$arch
Server = https://www.caco.ic.unicamp.br/archlinux/$repo/os/$arch
Server = http://linorg.usp.br/archlinux/$repo/os/$arch
Server = http://pet.inf.ufsc.br/mirrors/archlinux/$repo/os/$arch
Server = http://archlinux.pop-es.rnp.br/$repo/os/$arch
Server = http://mirror.ufam.edu.br/archlinux/$repo/os/$arch
Server = http://mirror.ufscar.br/archlinux/$repo/os/$arch

execute o comando
sudo pacman -Sy

para gerar lista
https://www.archlinux.org/mirrorlist/

Última edição por swatquest (18/07/2019 01:59:25)

Offline

#13 18/07/2019 09:02:04

lebahevel
Membro
Registrado: 15/07/2019
Mensagens: 10

Re: erro ao atualizar o pacman no manjaro

deu certo!! obrigado demais!!!

na verdade, agora eu to vendo que tá com outro problema, eu rodei o comando pacman -Syu depois de ter feito o -Sy
e aí começou a aparecer:
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
isso tanto no pacman como no gerenciador de programas, não sei se é pamac o nome, mas por exemplo, vc falou do yay, em vez do yaourt, eu fui no gerenciador de programas pra instalar esse yay e deu esse erro. também não tá atualizando mais:

pacman -Su
erro: não foi possível registrar a base de dados "archlinuxfr" (base de dados já registrada)
:: Iniciando atualização completa do sistema...
atenção: bubblewrap: local (0.3.3-2.1) é mais novo que extra (0.3.3-2)
atenção: cryptsetup: local (2.1.0-1.1) é mais novo que core (2.1.0-1)
atenção: dbus: local (1.12.16-1.2) é mais novo que core (1.12.16-1)
atenção: glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: lib32-glibc: local (2.29-3.1) é mais novo que core (2.29-3)
atenção: libnma: local (1.8.22-1.1) é mais novo que extra (1.8.22-1)
atenção: nm-connection-editor: local (1.8.22-1.1) é mais novo que extra (1.8.22-1)
atenção: os-prober: local (1.76-2) é mais novo que community (1.76-1)
atenção: parted: local (3.2-9.1) é mais novo que extra (3.2-9)
atenção: procps-ng: local (3.3.15-1.2) é mais novo que core (3.3.15-1)
atenção: qt5-base: local (5.13.0-7.1) é mais novo que extra (5.13.0-7)
atenção: tlp: local (1.2.2-1.1) é mais novo que community (1.2.2-1)
resolvendo dependências...
procurando por pacotes conflitantes...
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
:: a instalação de dunst (1.4.1-1) quebra a dependência "dunstify" necessária por update-notifier

não sei se continuamos nesse tópico ou se devo criar outro, diz aí...
não sei se tem como marcar o tópico como resolvido tbm...

Última edição por lebahevel (18/07/2019 20:06:47)

Offline

Rodapé do site